summaryrefslogtreecommitdiffstats
path: root/network/apt-mirror
diff options
context:
space:
mode:
author Thibaut Notteboom2017-11-03 23:25:44 +0100
committer David Spencer2017-11-04 00:18:38 +0100
commit10d77549ce2da8356eecd6d319cd52a0921b3498 (patch)
treee9b543412cf53fa0eeeb8f0419db30f409a2c2b5 /network/apt-mirror
parentd74bb259a9038cdbdc7f8ccda71275a466c94f66 (diff)
downloadslackbuilds-10d77549ce2da8356eecd6d319cd52a0921b3498.tar.gz
network/apt-mirror: Added (APT sources mirroring tool).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network/apt-mirror')
-rw-r--r--network/apt-mirror/README3
-rw-r--r--network/apt-mirror/apt-mirror.SlackBuild96
-rw-r--r--network/apt-mirror/apt-mirror.info10
-rw-r--r--network/apt-mirror/doinst.sh13
-rw-r--r--network/apt-mirror/slack-desc19
5 files changed, 141 insertions, 0 deletions
diff --git a/network/apt-mirror/README b/network/apt-mirror/README
new file mode 100644
index 0000000000..0c86384cfb
--- /dev/null
+++ b/network/apt-mirror/README
@@ -0,0 +1,3 @@
+Apt-mirror is small tool that provides ability to mirror any parts (or
+even all) of Debian and Ubuntu GNU/Linux distributions or any other apt
+sources which typically provided by open source developers.
diff --git a/network/apt-mirror/apt-mirror.SlackBuild b/network/apt-mirror/apt-mirror.SlackBuild
new file mode 100644
index 0000000000..c2c6a1d420
--- /dev/null
+++ b/network/apt-mirror/apt-mirror.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for apt-mirror
+
+# Copyright 2017 Thibaut Notteboom, Paris, FRANCE
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=apt-mirror
+VERSION=${VERSION:-0.5.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make install PREFIX=/usr DESTDIR=$PKG
+
+mv $PKG/etc/apt/mirror.list $PKG/etc/apt/mirror.list.new
+
+mv $PKG/usr/share/man $PKG/usr/man
+rm -rf $PKG/usr/share
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/apt-mirror/apt-mirror.info b/network/apt-mirror/apt-mirror.info
new file mode 100644
index 0000000000..49cac28db2
--- /dev/null
+++ b/network/apt-mirror/apt-mirror.info
@@ -0,0 +1,10 @@
+PRGNAM="apt-mirror"
+VERSION="0.5.4"
+HOMEPAGE="https://apt-mirror.github.io/"
+DOWNLOAD="https://github.com/apt-mirror/apt-mirror/releases/download/0.5.4/apt-mirror-0.5.4.tar.xz"
+MD5SUM="3935851c7822f671b8ce7fd694bc9282"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Thibaut Notteboom"
+EMAIL="thibaut.notteboom@gmail.com"
diff --git a/network/apt-mirror/doinst.sh b/network/apt-mirror/doinst.sh
new file mode 100644
index 0000000000..1561cb94be
--- /dev/null
+++ b/network/apt-mirror/doinst.sh
@@ -0,0 +1,13 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+config etc/apt/mirror.list.new
diff --git a/network/apt-mirror/slack-desc b/network/apt-mirror/slack-desc
new file mode 100644
index 0000000000..0babf999f1
--- /dev/null
+++ b/network/apt-mirror/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+apt-mirror: apt-mirror (APT sources mirroring tool)
+apt-mirror:
+apt-mirror: A small tool that provides ability to mirror any parts (or even all)
+apt-mirror: of Debian and Ubuntu GNU/Linux distributions or any other apt sources
+apt-mirror: which typically provided by open source developers.
+apt-mirror:
+apt-mirror:
+apt-mirror:
+apt-mirror:
+apt-mirror:
+apt-mirror: